Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049197
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajoralways2022-05-03 15:402022-05-25 13:46
Reportertimothee_catteeuwView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049197: JIRA 2934 - Verified return has to call EcranCuissonService.svc/rest/AnnulerCommande when product is linked to pager

DescriptionIn restaurant context sometimes a product can be a pager product. When this kind of product is included in the basket, after paying a WS call to a pager server is done, ex : http://127.0.0.1/EcranCuissonService.svc/rest/AjouterNouvelleCommandeWI [^]

This call inform the cooker working in the kitchen.

But the customer can ask the cashier to cancel his order containing the previous product. In that case it is necessary to call again the pager server, ex : http://127.0.0.1/EcranCuissonService.svc/rest/AnnulerCommande/50069D651D0 [^]

Nowadays this call is only implemented when an order is cancel and replace.

The request here is to implement that also when doing a verified return, because this option will be also selected by the cashier in order to return a product and this product can be a pager product.
Steps To ReproduceCase 1 :

Do a ticket including a pager product

Pay it

Check WS calls done from the till, this call is done for the pager product, EcranCuissonService.svc/rest/AjouterNouvelleCommandeWI

go to sales history on WebPos

search for the order you previously done and select the verified return option

select the pager product and valid

click on reimburse button

→ KO, no call is done for the pager product which was returned

It is necessary to call the pager server with the numéro de commande linked to the product (ex : http://127.0.0.1/EcranCuissonService.svc/rest/AnnulerCommande/50069D651D0 [^])

As a reminder Numéro de commande =
POS Number + 'D' + Ticket nmuber + 'D' + Product line number in the order

Example = 50069D651D0

Case 2 :

Do a ticket including several pager products

Pay it

Check WS calls done from the till, several calls are done (1 by pager product) EcranCuissonService.svc/rest/AjouterNouvelleCommandeWI

go to sales history on WebPos

search for the order you previously done and select the verified return option

select all the products in the ticket and valid

click on reimburse button

→ KO, no call is done for the pager products which were returned

It is necessary to call the pager server for each product with the linked numéro de commande (ex : http://127.0.0.1/EcranCuissonService.svc/rest/AnnulerCommande/50069D651D0 [^])

As a reminder Numéro de commande =
POS Number + 'D' + Ticket nmuber + 'D' + Product line number in the order

Example = 50069D651D0
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2022-05-03 15:40 timothee_catteeuw New Issue
2022-05-03 15:40 timothee_catteeuw Assigned To => Retail
2022-05-03 15:40 timothee_catteeuw Triggers an Emergency Pack => No
2022-05-12 23:21 mtaal Assigned To Retail => AtulOpenbravo
2022-05-16 20:04 mtaal Assigned To AtulOpenbravo => mtaal
2022-05-16 20:06 mtaal Assigned To mtaal => AtulOpenbravo
2022-05-25 13:46 AtulOpenbravo Status new => scheduled


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker